Subject: RE: [mobile-ip] Re: Address to use in the SA between FA-HA

From: "Kuntal Chowdhury" <[email-masked]>
Date: Wed, 29 May 2002 13:41:18 -0500

Hello Tony,
I don't anticipate any objection to using FA-CoA for FA-HA SA. However, that
may require 3GPP2 to do some text editing in the current standard (NAS-IPv4
attribute in the RADIUS Access-Request = FA-CoA). I will keep you informed
about the outcome of 3GPP2 discussion if necessary.

Regards,
Kuntal

> -----Original Message-----
> From: Tony Johansson [mailto:[email-masked]]
> Sent: Wednesday, May 29, 2002 11:58 AM
> To: Chowdhury, Kuntal [RICH1:2H18:EXCH]
> Cc: Fredrik Johansson; MobileIP; Charlie Perkins; Phil Roberts;
> Basavaraj Patil; Kevin Purser; Johan Johansson; Bharatia, Jayshree
> [RICH1:2H13:EXCH]
> Subject: Re: [mobile-ip] Re: Address to use in the SA between FA-HA
> 
> 
> Hello Kuntal,
> 
> I'm sorry if I confused you. The issue is how the 'R'-bit text
> description in RFC3220 should be interpreted, see Fredrik's 
> description
> below and the previous mail thread regarding the 'R'-bit...
> 
> Regards,
> 
> /Tony
> 
> Kuntal Chowdhury wrote:
> 
> >
> >
> > Hello Tony,
> > This may have a minor impact on 3GPP2, because we use RADIUS for
> > Mobile IPv4 support. The FA-HA security key calculation includes the
> > "FA IP address", however the definition of the "FA IP 
> address" is not
> > clear in the current 3GPP2 standard. Although I don't anticipate any
> > major problem, I have started a discussion thread in 3GPP2 
> and I will
> > let you know ASAP.
> >
> > Regards,
> > Kuntal
> >
> > > -----Original Message-----
> > > From: Tony Johansson [mailto:[email-masked]]
> > > Sent: Tuesday, May 28, 2002 6:06 PM
> > > To: Fredrik Johansson; MobileIP
> > > Cc: Charlie Perkins; Phil Roberts; Basavaraj Patil; Kevin
> > > Purser; Johan
> > > Johansson
> > > Subject: [mobile-ip] Re: Address to use in the SA between FA-HA
> > >
> > >
> > > All,
> > >
> > > I agree with Fredrik. Thus, always use the CoA.
> > >
> > > I haven't seen any objection to this, so can I assume that this is
> > the
> > > consensus? If no objections / comments I will assume that
> > > this is the case and
> > > don't make any changes regarding this to the Diameter MIPv4
> > > application draft.
> > >
> > > Regards,
> > >
> > > /Tony
> > >
> > > Fredrik Johansson wrote:
> > >
> > > > Hi,
> > > >
> > > > RFC 3220 doesn't define which address to use when creating
> > > the SA between
> > > > the FA and HA. I have always assumed that it was the
> > > care-of-address in the
> > > > registration request header, but considering the case when a
> > mobile
> > > > registers with an FA just because it has set the 'R'-bit in its
> > > > advertisement. The rfc doesn't say which Ip address to use
> > > in this case, the
> > > > CoA or the source address of the incoming reguest.
> > > >
> > > > This will cause interoperability problems within mobile ip
> > > itself, and also
> > > > affects other protocols such as Diameter. The best would be
> > > to always use
> > > > the CoA since the incoming request may not always have a
> > > source address
> > > > (e.g. when coming via a Diameter Request).
> > > >
> > > > /Fredrik
> > >
> > >
> 
>